Skip to navigation

List

Lists a flight task group’s cargo-on-flight bookings, active and history. | authz_personas=[task_group_coordinator_operators] | () -> (CargoOnFlightBookingListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

task_group_idstringRequired
The task group whose bookings are listed.
filter_statusenumOptional

Filter by status(es).

filter_draft_started_at_timestamp_gtedatetimeOptional

Filter draft_started_at_timestamp >= value.

filter_draft_started_at_timestamp_ltedatetimeOptional

Filter draft_started_at_timestamp <= value.

sort_by"draft_started_at_timestamp"Optional
Field to sort by.
sort_orderenumOptional
Sort order.
Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Cargo on Flight Bookings List V1request Unprocessable Entity Error